| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Well::LASImporter::FileInfo Class Reference
Well

`#include <wellimpasc.h>`

## Public Member Functions
| FileInfo ()
| ~FileInfo ()
int | size () const

## Public Attributes
BufferString | api_
BufferString | comp_
BufferString | country_
BufferString | county_
BufferString | date_
int | depthcolnr_ = -1
BufferString | field_
double | glelev_ = mUdf(double)
double | kbelev_ = mUdf(double)
BufferString | license_
LatLong | ll_
Coord | loc_ = Coord::udf()
BufferStringSet | logcurves_
BufferStringSet | lognms_
BufferStringSet | logunits_
BufferString | province_
bool | revz_ = false
BufferString | srvc_
BufferString | state_
float | undefval_ = -999.25f
BufferString | uwi_
BufferString | wellnm_
Interval< float > | zrg_ = Interval<float>::udf()
BufferString | zunitstr_
| only info; not used by getLogs

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ FileInfo()

Well::LASImporter::FileInfo::FileInfo | ( |  | ) |

## ◆ ~FileInfo()

Well::LASImporter::FileInfo::~FileInfo | ( |  | ) |

## Member Function Documentation

## ◆ size()

int Well::LASImporter::FileInfo::size | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ api_

BufferString Well::LASImporter::FileInfo::api_

## ◆ comp_

BufferString Well::LASImporter::FileInfo::comp_

## ◆ country_

BufferString Well::LASImporter::FileInfo::country_

## ◆ county_

BufferString Well::LASImporter::FileInfo::county_

## ◆ date_

BufferString Well::LASImporter::FileInfo::date_

## ◆ depthcolnr_

int Well::LASImporter::FileInfo::depthcolnr_ = -1

## ◆ field_

BufferString Well::LASImporter::FileInfo::field_

## ◆ glelev_

double Well::LASImporter::FileInfo::glelev_ = mUdf(double)

## ◆ kbelev_

double Well::LASImporter::FileInfo::kbelev_ = mUdf(double)

## ◆ license_

BufferString Well::LASImporter::FileInfo::license_

## ◆ ll_

LatLong Well::LASImporter::FileInfo::ll_

## ◆ loc_

Coord Well::LASImporter::FileInfo::loc_ = Coord::udf()

## ◆ logcurves_

BufferStringSet Well::LASImporter::FileInfo::logcurves_

## ◆ lognms_

BufferStringSet Well::LASImporter::FileInfo::lognms_

## ◆ logunits_

BufferStringSet Well::LASImporter::FileInfo::logunits_

## ◆ province_

BufferString Well::LASImporter::FileInfo::province_

## ◆ revz_

bool Well::LASImporter::FileInfo::revz_ = false

## ◆ srvc_

BufferString Well::LASImporter::FileInfo::srvc_

## ◆ state_

BufferString Well::LASImporter::FileInfo::state_

## ◆ undefval_

float Well::LASImporter::FileInfo::undefval_ = -999.25f

## ◆ uwi_

BufferString Well::LASImporter::FileInfo::uwi_

## ◆ wellnm_

BufferString Well::LASImporter::FileInfo::wellnm_

## ◆ zrg_

Interval<float> Well::LASImporter::FileInfo::zrg_ = Interval<float>::udf()

## ◆ zunitstr_

BufferString Well::LASImporter::FileInfo::zunitstr_

only info; not used by getLogs

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025